org.apache.storm.metrics2.reporters

## Class JmxStormReporter

- java.lang.Object
- - org.apache.storm.metrics2.reporters.JmxStormReporter

- All Implemented Interfaces:
    com.codahale.metrics.Reporter, StormReporter

      public class JmxStormReporter
      extends Object
      implements StormReporter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `JMX_DOMAIN`

    - ### Fields inherited from interface org.apache.storm.metrics2.reporters.StormReporter

      `REPORT_DIMENSIONS_ENABLED, REPORT_PERIOD, REPORT_PERIOD_UNITS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JmxStormReporter()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getMetricsJmxDomain(Map reporterConf)`
    `void` | `prepare(com.codahale.metrics.MetricRegistry metricsRegistry, Map<String,Object> topoConf, Map<String,Object> reporterConf)`
    `void` | `start()`
    `void` | `stop()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.storm.metrics2.reporters.StormReporter

      `prepare`

- - ### Field Detail

    - #### JMX_DOMAIN

          public static final String JMX_DOMAIN

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JmxStormReporter

          public JmxStormReporter()

  - ### Method Detail

    - #### getMetricsJmxDomain

          public static String getMetricsJmxDomain(Map reporterConf)

    - #### prepare

          public void prepare(com.codahale.metrics.MetricRegistry metricsRegistry,
                              Map<String,Object> topoConf,
                              Map<String,Object> reporterConf)

      Specified by:
        `prepare` in interface `StormReporter`

    - #### start

          public void start()

      Specified by:
        `start` in interface `StormReporter`

    - #### stop

          public void stop()

      Specified by:
        `stop` in interface `StormReporter`

Copyright © 2021 The Apache Software Foundation. All rights reserved.